the problem is I don't know how to contrust a selectionset with all entites in the drawing selected. I've spent the major part of the day searchin here and in the API reference. But nothing.. how to create such a selection set. I'm using the COM API in C#.net
I'm trying to make a curved wall with different heights, but i can't manage to do the loft of the object. I keep getting "The selected entities are not valid."
I tried remaking all the little polylines but nothing seems to work..
I am editing a shape file and have encountered a warning which reads "The selected acdb entities are not connected". How to check which entity this warning is trying to connect to?
I'm using a typed value list to create a selection filter to use with Editor.SelectAll(filter) method. The selection returns both frozen & un-frozen entities. Is there a way to filter out frozen objects using the filter?
There are blocks in the drawing, each containing several nested entities. Need a command which would find all the nested entities which got into the selection area provided by user (not necessary to select entities, just get the ids). GetNestedEntity() does what I need but for a single entity only.
Selection of 'Trim' command does exactly what I need. How could I achieve the same behaviour?
Is there a particular reason that the intersection wizard will not create the profiles if you select the horizontal alignments rather than let it create them by offset?? My EOP is not always parallel to the centerline. Why bother giving the option to pick out a name if it isn't going to work.
I have redined AutoCAD's copy command alias to C, but to also do other things, like set a few important variables in the background. One of the lisps I've incororated are making new viewports, that also create layers that are visibly specific to the viewport being created.
We were tasked a while ago to do an easy job of copying entities (dimensions, text and what not) in a layout. The problem is, users are copying the viewports too, which is bit more ineffificent than using the create viewport command I developed.
Is there a way to see if a selection set includes (0 . "VIEWPORT") entities? If the check returns nil, well then all is good. If the check returns "true", then I can prompt the user that a "VIEWPORT" entity is selected. I can then exit the command, or ask the user if they are sure they want to copy the "VIEWPORT" entity.
I created a drawing where I created a grading object (pad) under a site, a couple of alignements, etc.
After deleting everything to maintain layer states and settings, I saved the drawing as a starting template for day to day drawing (left it as a dwg, not dwt)
When I start a new drawing from a saveas of the template, it says that there is already a grading group named 'pad' but there isn't anything shown in the prospector. Purge hasn't worked. Any ghost entities left in a drawing.
I've also noticed that if you screw up a grading and try to delete the entire site and start over...you get weird results too. It's like it remembers old stuff you did (ghost entities) and won't let you start with a clean slate.?
Infrastructure Design Suite 2013 Dell Precision T3600 - Windows 7 64-bit NVIDIA Quadro 600 Intel(R) Xenon(R) CPU E5-1607 0 @ 3.00GHz 3.00GHz 8 GB ram - Two 1TB raid
I presently have code that will select objects on screen based on particular stored object handles. The code then prompts the user to add additional selections once these handle selections are made. No problem. The problem lies with attempting to deselect the objects that were selected via object handles. I should say highlighted because that is what the present code is doing. It is highlighting the objects on screen. The code I am using follows:
Dim ids(1) As ObjectId ids(0) = ObjectIdFromHandle(myDocDB, "1D6") ids(1) = ObjectIdFromHandle(myDocDB, "1DE") Autodesk.AutoCAD.Internal.Utils.SelectObjects(ids) ' Get the Pickfirst selection
I s there an efficient way of stretching an object. Usually I drag my mouse from right to left, thereby selecting objects that my selection box just touches. I want to drag my mouse from left to right so that only the vertices which are inside my selection box get selected.
Civil 3D 2013, trying to edit a FG profile through the Profile Entities vista and Profile Layout Parameters dialog box. All entities in the vista are shaded (locked) and will not allow me to edit. Is there something that I am missing here? I should be able to edit the PVIs (or entities) correct? I couldn't find anything in documentation as to why these are shaded and not allowing me to edit them.
I'm currently having diffulties editing my selections, specifically lines, hatching etc through the properties command. When I select a polyline or hatch and then select properties it shows that there is no selection. However if I select text I can edit the text style, but I can't change the colour. I've tried to change back to the default settings but that hasn't work.
When I use the Fuzzy select tool or the select by colour tool, how can I remove the selection area around the parts that I don't want selected. For example. I have red car on a white background which I want to cut and paste to a black background. I select the white background, but although it selects all the white, it also selects other small areas on the car which are a similar colour. If the threshold is lowered too much when I use these select tools then I get a very small white border around the object when I paste it on to a dark surface. So instead of selecting using the default (15) or even less, I have to ramp it up so as the selection is closer to object and does not show the white jagged line. I thought that I could use the other selection tools with the "remove from selected" option selected, but each time I place a rectangle around the selected area that I want ot deselect, it does away with the entire selection area. I just cannot get it sussed.
you've zoomed in to start this painstaking freehand selection withlots and lots of points, and when you get to the end, nothing getsselected. Then you notice that, once again, you had done a Select Allsome time ago (invisible because you zoomed in) and forgotten to SelectNone before clicking the lasso.
What do people do to avoid this? (I know the obvious answer is "rememberto check what your selection is all the time", but that's seriouslyflow-disruptive.)
GIMP could blink the image or something when you add selectionpoints that don't increase/decrease the already selected area, but Iguess that might take some time to implement.
I want to create a group for the object be selected. but the following code doesn't work.
[CommandMethod("gr")] public static void SelectObjectsOnscreen() { //Get the current document and database Document acDoc = Application.DocumentManager.MdiActiveDocument; Database acCurDb = acDoc.Database;
I’m wondering if there is a way to launch alignment grid view/alignment entities (attached) without the need to first launching “alignment”? This dialogue box is quite essential in editing the values of radius, degree of curvature and deflection angle for the selected curve.
is there a command (or method) that will create a polyline from selected cogo points instead of manually connected each point from a create line command?
I developed a program in VBA that used a form to allow users to create new dwg files based on selected criteria the vba program would then create and open the new dwg file and in the case of sheet files, it would populate title block attributes as well.
In vba, the forms focus was carried to the new file so the application would fill in the attributes, etc. as described above,
However in vb.net, I have not been able to get the form to recognize the new file. The program creates and opens the file, however the forms focus is still on the initial file so any actions to be applied to the new file are not carried out.
I need to create a series of "trays" that are in the shape of letters. I am having some success with certain letters, but zero success with others.
I am creating these letters using a curve brought in from illustrator, and sweeping the profile that I want to use around the curve to create the outside.I am then using presspull to create the base of the tray.
However, sometimes the sweep command will simply say "unable to sweep 1 selected object" with no explanation as to why.
Sometimes I will get the shape that I want, but it is facing the wrong way, and I cannot fix it. Other times it will simply stall and then delete both the curve and the profile.
I am trying to use a selected surface in a LISP program. I want to be able to save the currently selected surface into a varialble that I can use to control the style of the surface. I would be either selecting the surface by picking the surface from the drawing, or selecting the surface from the list/dialog box of available surfaces. I can't seem to locate a system varialble that holds that info.
I'm in a situation where i have to export a civil3d 2013 drawing to autocad 2000, but i don't want to send everything in the drawing, just the final drawing from model space. is there a way to not need export the drawing and then delete the objects i don't want to send? It seems like a simple task but i work with some people that can't handle simple things like that, so aside from trying to find new co-workers, what can i do?